linux-armadaxp: 3.2.0-1605.8 -proposed tracker

Bug #1020888 reported by Brad Figg on 2012-07-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Registry Administrators
Prepare-package-meta
Undecided
Registry Administrators
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa
Undecided
Registry Administrators
Verification-testing
Undecided
Registry Administrators
linux-armadaxp (Ubuntu)
Medium
Jani Monoses
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-1605.8 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 04. July 2012 09:47 UTC
kernel-stable-Certification-testing-end:Wednesday, 04. July 2012 10:16 UTC
kernel-stable-Promote-to-proposed-end:Monday, 09. July 2012 17:01 UTC
kernel-stable-Verification-testing-start:Monday, 09. July 2012 18:03 UTC
kernel-stable-Security-signoff-start:Wednesday, 11. July 2012 19:16 UTC
kernel-stable-Verification-testing-end:Wednesday, 11. July 2012 19:16 UTC
kernel-stable-Regression-testing-start:Wednesday, 11. July 2012 19:16 UTC
kernel-stable-Security-signoff-end:Wednesday, 11. July 2012 21:46 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 17. July 2012 21:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 17. July 2012 21:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 17. July 2012 21:16 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 17. July 2012 21:15 UTC

This tracking bug was opened to be worked from linux-3.2.0-27.42 update (bug 1020016)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-armadaxp (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-04
description: updated
Jani Monoses (jani) on 2012-07-06
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-5.8 -proposed tracker
description: updated
Jani Monoses (jani) on 2012-07-06
Changed in linux-armadaxp (Ubuntu):
assignee: nobody → Jani Monoses (jani)
Jani Monoses (jani) on 2012-07-08
tags: added: armhf verification-needed
removed: armel
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides updated, should be in a sane state in ~40m.

summary: - linux-armadaxp: 3.2.0-5.8 -proposed tracker
+ linux-armadaxp: 3.2.0-1605.8 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2012-07-09
description: updated
Brad Figg (brad-figg) on 2012-07-09
description: updated
Jani Monoses (jani) wrote :

Boots fine, no armadaxp specifc bugs to verify, good for testing.

Chris Van Hoof (vanhoof) wrote :

Setting to verification-done based on Jani's comments

tags: added: verification-done
removed: verification-needed
Brad Figg (brad-figg) on 2012-07-11
description: updated
John Johansen (jjohansen) wrote :

No USN

Brad Figg (brad-figg) on 2012-07-11
description: updated
Chris Van Hoof (vanhoof) on 2012-07-16
tags: removed: verification-done
C de-Avillez (hggdh2) wrote :

Tests ran OK, with one single exception: the QRT kernel-test failed on two tests because ip_tables.ko could not be found on the installed system:

AssertionError: ERROR: modinfo: could not find module ip_tables

I have pinged #ubuntu-kernel about this, and I am waiting a reply. Until then, this task will be kept open.

Ike Panhc (ikepanhc) wrote :

$ git grep CONFIG_IP_NF_IPTABLES debian*
debian.armadaxp/config/config.common.ubuntu:CONFIG_IP_NF_IPTABLES=y
debian.master/config/config.common.ubuntu:CONFIG_IP_NF_IPTABLES=m

ip_tables is built-in, not a module.

Jani Monoses (jani) wrote :

ip_tables is built in the kernel instead of as a module. It is either a historical config setting or an accident, there is nothing explicitly relying on it to be built in AFAIK, but I may be wrong.

C de-Avillez (hggdh2) wrote :

A chat with janimo on #ubuntu-kernel cleared this up: it happens that, right now, ip_tables is built-in for armadaxp (so, of course, mod(probe|info) would fail.

Janimo is changing the armadaxp kconfig to have ip_tables as a module. This will bring the armadaxp kernel more in conformance with the other kernels.

Given that, and given no other issues were found, I have marked this qa-testing-passed.

tags: added: qa-testing-passed
Changed in linux-armadaxp (Ubuntu):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2012-07-17
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux-armadaxp - 3.2.0-1605.8

---------------
linux-armadaxp (3.2.0-1605.8) precise-proposed; urgency=low

  * Release Tracking Bug
   -LP: #1020888

  [ Jani Monoses ]

  * Fix warnings.
  * Adapt to new sched_clock API

  [ Ubuntu: 3.2.0-27.43 ]

  * No change upload to fix .ddeb generation in the PPA.
  * Release Tracking Bug
    - LP: #1020016

  [ Ubuntu: 3.2.0-27.42 ]

  * Release Tracking Bug
    - LP: #1020016
  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641
  * [Config] Updateconfigs
    - LP: #1008345
  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012
  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345
  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577
  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183
  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692
  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
  * drm/i915: enable vdd when switching off the eDP panel
    - LP: #1013723
  * drm/i915: Ignore LVDS o...

Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Copied to -updates and quantal.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers